Package org.freeplane.api

# Interface NodeStyleRO

All Known Subinterfaces:
  `NodeStyle`, `Proxy.NodeStyle`, `Proxy.NodeStyleRO`

public interface NodeStyleRO
Node's style: `node.style` - read-only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAllActiveStyles()`
  Returns all style names/translation keys active for the node.
  `Color`
  `getBackgroundColor()`
  `String`
  `getBackgroundColorCode()`
  returns HTML color spec like #ff0000 (red) or #222222 (darkgray).
  `Border`
  `getBorder()`
  `String`
  `getCss()`
  `Edge`
  `getEdge()`
  `Font`
  `getFont()`
  `HorizontalTextAlignment`
  `getHorizontalTextAlignment()`
  `int`
  `getMaxNodeWidth()`
  `int`
  `getMinNodeWidth()`
  `String`
  `getName()`
  Returns the name of the node's style if set or null otherwise.
  `Color`
  `getNodeTextColor()`
  Deprecated.
  since 1.2 - use `getTextColor()` instead.
  `Node`
  `getStyleNode()`
  `Color`
  `getTextColor()`
  `String`
  `getTextColorCode()`
  `boolean`
  `isBackgroundColorSet()`
  `boolean`
  `isCssSet()`
  `boolean`
  `isFloating()`
  `boolean`
  `isHorizontalTextAlignmentSet()`
  `boolean`
  `isMaxNodeWidthSet()`
  `boolean`
  `isMinNodeWidthSet()`
  `boolean`
  `isNumbering()`
  `boolean`
  `isNumberingEnabled()`
  Deprecated.
  since 1.12.12 - use @{link #isNumbering()} instead
  `boolean`
  `isNumberingSet()`
  `boolean`
  `isTextColorSet()`

- ## Method Details

  - ### getName

    String getName()
    Returns the name of the node's style if set or null otherwise. For styles with translated names the translation key is returned to make the process robust against language setting changes. It's guaranteed that `node.style.name = node.style.name` does not change the style.
    Since:
      1.2.2

  - ### getAllActiveStyles

    List<String> getAllActiveStyles()
    Returns all style names/translation keys active for the node.
    Since:
      1.9.8
    See Also:
      - `getName()`

  - ### getStyleNode

    Node getStyleNode()

  - ### getBackgroundColor

    Color getBackgroundColor()

  - ### getBackgroundColorCode

    String getBackgroundColorCode()
    returns HTML color spec like #ff0000 (red) or #222222 (darkgray).
    Since:
      1.2

  - ### getEdge

    Edge getEdge()

  - ### getBorder

    Border getBorder()

  - ### getFont

    Font getFont()

  - ### getNodeTextColor

    @Deprecated Color getNodeTextColor()
    Deprecated.
    since 1.2 - use `getTextColor()` instead.

  - ### getTextColor

    Color getTextColor()
    Since:
      1.2

  - ### getTextColorCode

    String getTextColorCode()

  - ### isFloating

    boolean isFloating()
    Since:
      1.2 true if the floating style is set for the node (aka "free node").

  - ### getMinNodeWidth

    int getMinNodeWidth()
    Since:
      1.2.20

  - ### getMaxNodeWidth

    int getMaxNodeWidth()
    Since:
      1.2.20

  - ### isNumberingEnabled

    @Deprecated boolean isNumberingEnabled()
    Deprecated.
    since 1.12.12 - use @{link #isNumbering()} instead
    Since:
      1.3.8

  - ### isNumbering

    boolean isNumbering()
    Since:
      1.12.12

  - ### isNumberingSet

    boolean isNumberingSet()
    Since:
      1.12.12

  - ### getCss

    String getCss()
    Since:
      1.9.12

  - ### isCssSet

    boolean isCssSet()
    Since:
      1.9.12

  - ### isBackgroundColorSet

    boolean isBackgroundColorSet()
    Since:
      1.9.12

  - ### isTextColorSet

    boolean isTextColorSet()
    Since:
      1.9.12

  - ### isMinNodeWidthSet

    boolean isMinNodeWidthSet()
    Since:
      1.9.12

  - ### isMaxNodeWidthSet

    boolean isMaxNodeWidthSet()
    Since:
      1.9.12

  - ### isHorizontalTextAlignmentSet

    boolean isHorizontalTextAlignmentSet()
    Since:
      1.11.8

  - ### getHorizontalTextAlignment

    HorizontalTextAlignment getHorizontalTextAlignment()
    Since:
      1.11.8